BackendHTTP APIProxy

Proxy - PATCH requests

Requires an API key with the environment:proxy scope. Learn more about API key scopes.

API request

The path, query params, and headers you send to the Proxy are all passed on to the external API, except for the configuration headers mentioned here:

  • Authorization: See Tenklo API Authentication. Tenklo will add a new Authorization header for the external API as needed.
  • Provider-Config-Key
  • Connection-Id
  • Retries

API response

The response from the external API is passed back to you exactly as Tenklo gets it:

  • Response code
  • Response headers
  • Response body
PATCH
/proxy/{anyPath}

Make a PATCH request with the Proxy.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

anyPath*string

Header Parameters

Connection-Id*string

The connection ID used to create the connection.

Provider-Config-Key*string

The integration ID used to create the connection (aka Unique Key).

Retries?string

The number of retries in case of failure (with exponential back-off). Optional, default 0.

Base-Url-Override?string

Provide an API base URL when the base API is not listed in the providers.yaml or it needs to be overridden. Optional

Decompress?string

Override the decompress option when making requests. Optional, defaults to false

nango-proxy-$ANY_HEADER?string

Any other headers you send are passed on to the external API

Request Body

application/json
  1. body
$ANY_BODY_PARAMS?string

Response Body

The response exactly as returned by the external API

Example Request
curl -X PATCH 'https://api.tenklo.dev/proxy/string' \  -H 'Connection-Id: string' \  -H 'Provider-Config-Key: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
Empty

On this page